Any issues with upgrading a Week 23 iPhone 3GS?

Discussion in 'Jailbreaks and iOS Hacks' started by agtprvctr, Jan 26, 2010.

  1. agtprvctr macrumors newbie

    Joined:
    Jun 22, 2009
    #1
    All, I just wanted to confirm my interpretation of what I've been reading in the forums. If I have a Week 23 iPhone 3GS, currently still running 3.0, am I able to safely upgrade to the official 3.1.2 OS, then jailbreak and unlock with redsn0w 0.9 beta 3, without having to deal with a tethered jailbreak? It sounds like as long as the 3GS is earlier than Week 40, I can upgrade my baseband to 5.11 without worrying about unlock or tethered jb issues, correct? Thanks much.
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    You will have an un-tethered jailbreak, not a tethered jailbreak.

    You can use Pwnage Tool 3.1.4 or Redsn0w 0.9 to jailbreak to firmware 3.1.2

    Neither will update your baseband. Edit: Redsn0w requires update to Apple 3.1.2 so baseband will be updated, not preserved !

    If you do not need to unlock, then you can upgrade your baseband to 5.11.xx (done via upgrade to official Apple IPSW, (but you cannot currently unlock with Ultrasn0w and would have to use Blacksn0w if an unlock became necessary).
     
  3. agtprvctr thread starter macrumors newbie

    Joined:
    Jun 22, 2009
    #3
    So to perform a non-baseband update from 3.0 to 3.1.2 via redsn0w 0.9, I would just launch redsn0w, select the 3.1.2 ipsw downloaded from apple, and follow the rest of the prompts?

     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    Redsn0w tutorial

    Correction must be noted:
    In order to JB to 3.1.2 with Redsn0w, an update to Apple 3.1.2 must be done, so baseband will be updated.

    To preserve baseband at 4.26.xx, use Pwnage Tool.

    Sorry for error in previous post !
     
  5. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #6
    Whoa...hold on. Before you can use Redsn0w you must already have updated to 3.1.2 official. That will upgrade your baseband to 5.11.07 and make it impossible to use ultrasn0w. PwnageTool remains the only way to upgrade to 3.1.2 without upgrading the baseband.

    You may be confused because you've read that redsn0w itself doesn't upgrade your baseband; that is true, but the fact remains that you have to upgrade to 3.1.2 before you use it, and that does.
     
  6. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #7
    Yea, I caught this tonight when I re-read Redsn0w documentation and just made corrections to my previous post as well as adding a new post.
     
  7. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #8
    I can understand the confusion. It's true that redsn0w doesn't touch the baseband, and it can be safely used on a custom-firmware upgraded iPhone to change the boot logo, etc.
     
  8. agtprvctr thread starter macrumors newbie

    Joined:
    Jun 22, 2009
    #10
    Ah that's what I figured, thanks for all the info guys. One more thing - are there any advantages to ultrasn0w over blackra1n? If not, I do the official update to 3.1.2, jailbreak with redsn0w 0.9, then unlock with blackra1n, right?
     
  9. terraphantm macrumors 68040

    Joined:
    Jun 27, 2009
    Location:
    Pennsylvania
    #11
    for some people, blacksn0w causes the wifi not to work, so I'd stick with 4.26.08, and use ultrasn0w. I personally don't have the issue w/ blacksn0w on my phone, but my dad's phone did have the issue. I have no idea why some get it and some don't
     
  10. agtprvctr thread starter macrumors newbie

    Joined:
    Jun 22, 2009
    #12
    thanks for the info, i ended up using pwnagetool 3.15 and i'm now running 3.1.3 with my 4.26 baseband preserved so that i can still use ultrasn0w.
     
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #13
    Yours is only the 2nd post I've read of the 3.1.3/4.26.xx combination. Glad it works. Most have just stayed put on 3.1.2 (at least those who are not hasty :D )
     
  12. agtprvctr thread starter macrumors newbie

    Joined:
    Jun 22, 2009
    #14
    In that case I'd better add it to my signature so everyone knows it's OK ;)
     

Share This Page